function param = mingumbelmle(x)
% param=mingumbelmle(serie)
% Calcula los estimadores de mxima verosimilitud para la distribucin
% Gumbel de mnimos con parmetro de localidad miu y con parmetro de
% escala b
xbar=mean(x);
n=length(x);

% para la b
b=1;
bnew=0;
dif=abs(b-bnew);

i=1;
while (dif>0.01&&i<50)
 bnew=-xbar+sum(x.*exp(x./b))./sum(exp(x./b));
 dif=abs(b-bnew);
 b=bnew;
 i=i+1;
end

% para la miu
miu=-b*log(n./sum(exp(x./b)));

% regresamos los valores
param=[miu,b];


